package com.example.alertdialogapp01;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity implements OnClickListener, DialogInterface.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button = (Button)findViewById(R.id.button);
        button.setOnClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onClick(View view) {
        EditText editText = (EditText)findViewById(R.id.editText);

        String str = editText.getText().toString();

        if (!str.equals("")) {
            Toast toast = Toast.makeText(this, str, Toast.LENGTH_SHORT);
            toast.show();
        } else {
            AlertDialog.Builder builder = new AlertDialog.Builder(this);

            builder.setTitle("警告");
            builder.setMessage("文字が入力されていません。");

            builder.setPositiveButton("OK", this);
            builder.setNegativeButton("CANCEL", this);
            builder.setNeutralButton("END", this);

            builder.show();
        }
    }

    @Override
    public void onClick(DialogInterface dialog, int which) {
        String str = "";

        switch (which) {
            case DialogInterface.BUTTON_POSITIVE : str = "OK"; break;
            case DialogInterface.BUTTON_NEGATIVE : str = "CANCEL"; break;
            case DialogInterface.BUTTON_NEUTRAL : str = "END"; break;
        }

        Toast toast = Toast.makeText(this, str, Toast.LENGTH_SHORT);
        toast.show();
    }
}
